-- #####################################################################################
-- ## Skript zum Vortrag <die schwierigen Kopfnsse mit T-SQL gelst>                 ##     
-- #####################################################################################
-- ## Dieses Skript legt die Projektdatenbank an. Es wird durch weitere Skripte       ##
-- ## ergnzt, die in ihrer durchnummerierten Reihenfolge abzuarbeiten sind. Die      ##
-- ## Skripte passen zu den Aufgabenstellungen aus der zugehrigen Powerpoint-        ##
-- ## Prsentation vom selben Autor.                                                  ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Bitte dieses Skript niemals in einer Produktionsumgebung einsetzen, da          ##
-- ## Datenbankobjekte angelegt, ergnzt, gendert oder sogar gelscht werden!!!      ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Verwendung auf eigene Gefahr...                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Torsten Ahlemeyer, arelium GmbH        torsten.ahlemeyer@arelium.de             ##
-- #####################################################################################

-- allgemeine Datenbank als Startpunkt whlen, die es IMMER gibt
USE [master]
GO

-----------------------------
-- Aufrumarbeiten ----------
-----------------------------
-- bestehende Datenbank VORTRAG_KOPFNUSS lschen, um sauber wieder aufzusetzen
DROP DATABASE IF EXISTS [Vortrag_Kopfnuss];
GO


-- Anlage der Datenbank VORTRAG_KOPFNUSS. Hier sollen alle weiteren Schritte stattfinden, um evtl. vorhandene 
-- Nutzerdatenbanken nicht zu gefhrden. Die Pfade sind fr die eigene Verwwendung evtl. anzupassen!
CREATE DATABASE [Vortrag_Kopfnuss]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'Vortrag_Kopfnuss', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.MSSQLSERVER\MSSQL\DATA\Vortrag_Kopfnuss.mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'Vortrag_Kopfnuss_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.MSSQLSERVER\MSSQL\DATA\Vortrag_Kopfnuss_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [Vortrag_Kopfnuss].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET ARITHABORT OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET  DISABLE_BROKER 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET RECOVERY FULL 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET  MULTI_USER 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET DB_CHAINING OFF 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET DELAYED_DURABILITY = DISABLED 
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET QUERY_STORE = OFF
GO

ALTER DATABASE [Vortrag_Kopfnuss] SET  READ_WRITE 
GO

