-- #####################################################################################
-- ## Skript zum Vortrag <die schwierigen Kopfnsse mit T-SQL gelst>                 ##     
-- #####################################################################################
-- ## Dieses Skript bereitet die Testdaten fr die Aufgabe KALENDER vor. Es wird      ##
-- ## durch weitere Skripte ergnzt, die in ihrer durchnummerierten Reihenfolge abzu- ##
-- ## arbeiten sind. Die Skripte passen zu den Ausfhrungen aus der zugehrigen       ##
-- ## Powerpoint-Prsentation vom selben Autor.                                       ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Bitte dieses Skript niemals in einer Produktionsumgebung einsetzen, da          ##
-- ## Datenbankobjekte angelegt, ergnzt, gendert oder sogar gelscht werden!!!      ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Verwendung auf eigene Gefahr...                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Torsten Ahlemeyer, arelium GmbH        torsten.ahlemeyer@arelium.de             ##
-- #####################################################################################

-- auf die Projektdatenbank wechseln
USE [Vortrag_Kopfnuss]
GO

-- Zufllig 60 Datenstze aus der Kalendertabelle lschen
DELETE 
FROM 
[Kalender].[Jahrestage]
WHERE 1 =1
	AND [Tag] IN 
		(
		-- hier wird die Funktion "newID()" genutzt, um zufllig Datenstze auszuwhlen
		SELECT TOP 60 [Tag]
		FROM [Kalender].[Jahrestage]
		ORDER BY newID()
		)
GO

